MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002103VCMIMechanics - Adventure Mappublic2015-02-20 09:422015-11-24 10:21
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.98e 
Summary0002103: Bonuses: Water Walk penalty calculated incorrectly
DescriptionMost likely CGameState::getMovementCost calculate movement penalty incorrectly because as I see on H3 wiki basic effect have 40% penalty and advanced have 20% while in VCMI there only 40% penalty and no penalty (expert).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006103)
SXX (administrator)
2015-11-24 10:21

Fly / water walking implemented, penalty applied appropriately:
https://github.com/vcmi/vcmi/commit/a85106289181b87af2be857d0d89d5a09dda1934 [^]

- Issue History
Date Modified Username Field Change
2015-02-20 09:42 SXX New Issue
2015-02-20 09:42 SXX Description Updated View Revisions
2015-02-20 09:43 SXX Description Updated View Revisions
2015-11-18 03:24 SXX Assigned To => SXX
2015-11-18 03:24 SXX Status new => assigned
2015-11-24 10:21 SXX Note Added: 0006103
2015-11-24 10:21 SXX Status assigned => resolved
2015-11-24 10:21 SXX Fixed in Version => 0.98e
2015-11-24 10:21 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean